Content / REST API

Save content inspiration

Save source text and identity without AI analysis.

POST /api/v1/content/inspirationDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
textRequired · string
See the input schema for this field.
authorOptional · string
See the input schema for this field.
urlOptional · string | null
See the input schema for this field.
providerIdOptional · string
See the input schema for this field.
notesOptional · string | null
See the input schema for this field.
authorIdOptional · string | null
See the input schema for this field.
authorUrlOptional · string | null
See the input schema for this field.
linkedinAccountIdOptional · string | null
See the input schema for this field.
reactionsOptional · integer | null
See the input schema for this field.
commentsOptional · integer | null
See the input schema for this field.
repostsOptional · integer | null
See the input schema for this field.
observedAtOptional · string
See the input schema for this field.
publishedAtOptional · string | null
See the input schema for this field.
avatarUrlOptional · string | null
See the input schema for this field.
mediaOptional · array
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/v1/content/inspiration" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"text":"example"}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "text": {
      "type": "string"
    },
    "author": {
      "type": "string"
    },
    "url": {
      "type": [
        "string",
        "null"
      ]
    },
    "providerId": {
      "type": "string"
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "authorId": {
      "type": [
        "string",
        "null"
      ]
    },
    "authorUrl": {
      "type": [
        "string",
        "null"
      ]
    },
    "linkedinAccountId": {
      "type": [
        "string",
        "null"
      ]
    },
    "reactions": {
      "type": [
        "integer",
        "null"
      ]
    },
    "comments": {
      "type": [
        "integer",
        "null"
      ]
    },
    "reposts": {
      "type": [
        "integer",
        "null"
      ]
    },
    "observedAt": {
      "type": "string"
    },
    "publishedAt": {
      "type": [
        "string",
        "null"
      ]
    },
    "avatarUrl": {
      "type": [
        "string",
        "null"
      ],
      "format": "uri"
    },
    "media": {
      "type": "array",
      "maxItems": 4,
      "items": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "image",
              "video"
            ]
          },
          "url": {
            "type": "string",
            "format": "uri"
          },
          "thumbnailUrl": {
            "type": [
              "string",
              "null"
            ],
            "format": "uri"
          },
          "width": {
            "type": [
              "integer",
              "null"
            ],
            "minimum": 0
          },
          "height": {
            "type": [
              "integer",
              "null"
            ],
            "minimum": 0
          }
        },
        "required": [
          "type",
          "url",
          "thumbnailUrl",
          "width",
          "height"
        ]
      }
    }
  },
  "required": [
    "text"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview